#include "ft639.h"
#include "Jft639.h"

FT639 * ft;

BOOL APIENTRY DllMain(HANDLE hModule, DWORD  ul_reason_for_call, LPVOID lpReserved){
    switch (ul_reason_for_call){
		case DLL_PROCESS_ATTACH:
			ft = new FT639; break;
		case DLL_THREAD_ATTACH: break;
		case DLL_THREAD_DETACH: break;
		case DLL_PROCESS_DETACH:
			delete(ft); break;
    }
    return TRUE;
}



JNIEXPORT jint JNICALL Java_Jft639_set(JNIEnv *, jobject, jint servo, jint position){
	return ft->set(servo,position);
}

JNIEXPORT jint JNICALL Java_Jft639_ini(JNIEnv *, jobject, jint comPort, jint pulse){
	return ft->init(comPort,pulse,DEFAULT_HEADER);
}

JNIEXPORT void JNICALL Java_Jft639_turnoff(JNIEnv *, jobject){
	ft->turnoff();
}

JNIEXPORT void JNICALL Java_Jft639_turnon(JNIEnv *, jobject){
	ft->turnon();
}
